## Apache Zeta Components Manual :: Docs For Class ezcSystemInfoReader

### SystemInformation::ezcSystemInfoReader

### Class ezcSystemInfoReader

The ezcSystemInfoReader represents common interface of OS info reader.

Source for this file: /SystemInformation/src/interfaces/reader.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcSystemInfoWindowsReader | Provide functionality to read system information from Windows systems.
ezcSystemInfoLinuxReader | Provide functionality to read system information from Linux systems.
ezcSystemInfoMacReader | Provide functionality to read system information from Mac OS X systems.
ezcSystemInfoFreeBsdReader | Provide functionality to read system information from FreeBSD systems.

### Method Summary

public abstract float | `cpuSpeed( )` Returns CPU speed
public abstract string | `cpuType( )` Returns string with CPU type.
public abstract int | `getCpuCount( )` Returns number of CPUs in system.
public abstract bool | `isValid( $propertyName )` Returns true if the property $propertyName holds a valid value and false otherwise.
public abstract int | `memorySize( )` Returns memory size in bytes.

### Methods

#### cpuSpeed

float cpuSpeed( )

Returns CPU speed

If the CPU speed could not be read null is returned. Average processor speed returned for multiprocessor systems.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSystemInfoWindowsReader::cpuSpeed()` | Returns string with CPU speed.
`ezcSystemInfoLinuxReader::cpuSpeed()` | Returns string with CPU speed.
`ezcSystemInfoMacReader::cpuSpeed()` | Returns string with CPU speed.
`ezcSystemInfoFreeBsdReader::cpuSpeed()` | Returns string with CPU speed.

#### cpuType

string cpuType( )

Returns string with CPU type.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSystemInfoWindowsReader::cpuType()` | Returns string with CPU type.
`ezcSystemInfoLinuxReader::cpuType()` | Returns string with CPU type.
`ezcSystemInfoMacReader::cpuType()` | Returns string with CPU type.
`ezcSystemInfoFreeBsdReader::cpuType()` | Returns string with CPU type.

#### getCpuCount

int getCpuCount( )

Returns number of CPUs in system.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSystemInfoWindowsReader::getCpuCount()` | Returns count of CPUs in system.
`ezcSystemInfoLinuxReader::getCpuCount()` | Returns count of CPUs in system.
`ezcSystemInfoMacReader::getCpuCount()` | Returns count of CPUs in system.
`ezcSystemInfoFreeBsdReader::getCpuCount()` | Returns count of CPUs in system.

#### isValid

bool isValid( string $propertyName )

Returns true if the property $propertyName holds a valid value and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSystemInfoWindowsReader::isValid()` | Returns true if the property $propertyName holds a valid value and false otherwise.
`ezcSystemInfoLinuxReader::isValid()` | Returns true if the property $propertyName holds a valid value and false otherwise.
`ezcSystemInfoMacReader::isValid()` | Returns true if the property $propertyName holds a valid value and false otherwise.
`ezcSystemInfoFreeBsdReader::isValid()` | Returns true if the property $propertyName holds a valid value and false otherwise.

#### memorySize

int memorySize( )

Returns memory size in bytes.

If the memory size could not be read null is returned.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcSystemInfoWindowsReader::memorySize()` | Returns memory size in bytes.
`ezcSystemInfoLinuxReader::memorySize()` | Returns memory size in bytes.
`ezcSystemInfoMacReader::memorySize()` | Returns memory size in bytes.
`ezcSystemInfoFreeBsdReader::memorySize()` | Returns memory size in bytes.

Documentation generated by phpDocumentor 1.4.3